<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/product';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'model_number',
            breadcrumbs: [
                {
                    label: this.__('Продукты'),
                    path: 'product/product',
                },
            ],
            model: model,
            http: {
                path: 'product/product/:id',
                query: {
                    'with[0]': 'creator',
                    'with[1]': 'category',
                    'with[2]': 'brand',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
